Author: jfrederic.clere(a)jboss.com
Date: 2012-10-15 09:04:12 -0400 (Mon, 15 Oct 2012)
New Revision: 2971
Modified:
trunk/build/unix/buildbin.TC6.sh
Log:
Arrange TC6 tests.
Modified: trunk/build/unix/buildbin.TC6.sh
===================================================================
--- trunk/build/unix/buildbin.TC6.sh 2012-10-15 08:57:18 UTC (rev 2970)
+++ trunk/build/unix/buildbin.TC6.sh 2012-10-15 13:04:12 UTC (rev 2971)
@@ -89,6 +89,19 @@
rm -rf $native_sources/output/build/work
rm -rf $native_sources/output/build/logs
mkdir $native_sources/output/build/logs
+export TS_HOME=/home/hudson/tcks6/2.5/servlettck
+
+echo ""
+echo "Copy the wars"
+echo ""
+
+(cd $TS_HOME
+for file in `find . -name "*war"`
+do
+ cp $file $native_sources/output/build/webapps
+done
+)
+
(cd $native_sources/output/build; bin/startup.sh)
echo ""
echo "Waiting for Tomcat to start"
@@ -97,33 +110,23 @@
echo "Running TCK tests..."
echo "SERVLETS"
echo ""
-export TS_HOME=/home/hudson/tcks/servlet/servlettck
-export ANT_HOME=$TS_HOME/tools/ant
-(cd $TS_HOME/bin; ant run.all || exit 1)
+
+(cd $TS_HOME; bin/tsant runclient || exit 1)
if [ $? -ne 0 ];then
stopTomcat
exit 1
fi
-(cd $TS_HOME/bin; ant report || exit 1)
-if [ $? -ne 0 ];then
- stopTomcat
- exit 1
-fi
echo "JSP"
-export TS_HOME=/home/hudson/tcks/jsp/jsptck
+export TS_HOME=/home/hudson/tcks6/2.1/jsptck
export ANT_HOME=$TS_HOME/tools/ant
-(cd $TS_HOME/bin; ant run.all || exit 1)
+(cd $TS_HOME/bin; bin/tsant runclient || exit 1)
if [ $? -ne 0 ];then
stopTomcat
exit 1
fi
-(cd $TS_HOME/bin; ant report || exit 1)
-if [ $? -ne 0 ];then
- stopTomcat
- exit 1
-fi
+
echo ""
echo "Stopping TC6..."
echo ""
@@ -185,7 +188,7 @@
echo "Running TCK tests..."
echo "SERVLETS"
echo ""
-export TS_HOME=/home/hudson/tcks/servlet/servlettck
+export TS_HOME=/home/hudson/tcks6/2.5/servlettck
export ANT_HOME=$TS_HOME/tools/ant
(cd $TS_HOME/bin; ant run.all || exit 1)
if [ $? -ne 0 ]; then
Show replies by date